=== debian/changelog ===
cbmc (5.1-1~bpo8+1) jessie-backports; urgency=low

  * Upload to backports
  * Proper cleanup (from future 5.1-2)

 -- Michael Tautschnig <mt@debian.org>  Mon, 11 May 2015 11:55:38 +0100

cbmc (5.1-1) unstable; urgency=low

  * New upstream release
  * Most 5.0 patches merged

 -- Michael Tautschnig <mt@debian.org>  Mon, 11 May 2015 00:39:01 +0100
