## cbmc 5.2

=== src/analyses/Makefile ===
SRC = natural_loops.cpp is_threaded.cpp dirty.cpp interval_analysis.cpp \
      invariant_set.cpp invariant_set_domain.cpp invariant_propagation.cpp \
      static_analysis.cpp uninitialized_domain.cpp local_may_alias.cpp \
      locals.cpp goto_check.cpp call_graph.cpp interval_domain.cpp \
      goto_rw.cpp reaching_definitions.cpp ai.cpp local_cfg.cpp \
      local_bitvector_analysis.cpp dependence_graph.cpp \
      custom_bitvector_analysis.cpp

INCLUDES= -I ..

include ../config.inc
include ../common

CLEANFILES = analyses$(LIBEXT)

all: analyses$(LIBEXT)

###############################################################################

analyses$(LIBEXT): $(OBJ) 
	$(LINKLIB)
