=== debian/changelog ===
cbmc (5.2-1~bpo8+1) jessie-backports; urgency=low

  * Upload to backports

 -- Michael Tautschnig <mt@debian.org>  Mon, 14 Sep 2015 18:34:18 +0100

cbmc (5.2-1) unstable; urgency=low

  * New upstream release

 -- Michael Tautschnig <mt@debian.org>  Wed, 02 Sep 2015 14:37:38 +0100

cbmc (5.1-2) unstable; urgency=low

  * Proper cleanup

 -- Michael Tautschnig <mt@debian.org>  Mon, 11 May 2015 13:18:40 +0100
