## cbmc 5.3

=== regression/Makefile ===
DIRS = ansi-c cbmc cpp 

test:
	$(foreach var,$(DIRS), $(MAKE) -C $(var) test;)
