=== src/analyses/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
       locals.cpp goto_check.cpp call_graph.cpp interval_domain.cpp \
       goto_rw.cpp reaching_definitions.cpp ai.cpp local_cfg.cpp \
       local_bitvector_analysis.cpp dependence_graph.cpp \
-      custom_bitvector_analysis.cpp
+      constant_propagator.cpp replace_symbol_ext.cpp \
+      custom_bitvector_analysis.cpp escape_analysis.cpp global_may_alias.cpp
 
 INCLUDES= -I ..
