=== src/ansi-c/Makefile ===
--- 
+++ 
@@ -60,9 +60,9 @@
 	$(LINKNATIVE)
 
 ifeq ($(BUILD_ENV),MinGW)
-  platform_unavail = library/err.c library/threads.c
+  platform_unavail = library/java.io.c library/err.c library/threads.c
 else
-  platform_unavail = library/threads.c
+  platform_unavail = library/java.io.c library/threads.c
 endif
 library_check: library/*.c
 	for f in $(filter-out $(platform_unavail), $^) ; do \
