=== debian/changelog ===
cbmc (5.3-1) unstable; urgency=low

  * New upstream release
  * non-static-build patch merged
  * Re-licensed Debian packaging to BSD 2-clause

 -- Michael Tautschnig <mt@debian.org>  Wed, 20 Jan 2016 04:03:52 +0000
