=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 			exit 1 ; \
 		fi
 
-DEB_VERS=5.2
+DEB_VERS=5.3
 get-orig-source:
 	svn export http://svn.cprover.org/svn/cbmc/releases/cbmc-$(DEB_VERS)
 	tar cf cbmc_$(DEB_VERS).orig.tar cbmc-$(DEB_VERS)
